Subject: Re: [PATCH 08/17] revision: split some overly-long lines

From: Michael Haggerty <[email-masked]>
Date: Thu, 23 May 2013 08:27:46 +0200

On 05/21/2013 07:34 PM, Junio C Hamano wrote:
> Michael Haggerty <[email-masked]> writes:
> 
>> Signed-off-by: Michael Haggerty <[email-masked]>
>> ---
>>  revision.c | 20 ++++++++++++++------
>>  revision.h | 32 +++++++++++++++++++++-----------
>>  2 files changed, 35 insertions(+), 17 deletions(-)
> 
> Looks obviously good for *.c file, but I am on the fence for *.h
> one, as the reason we kept these long single lines in *.h files was
> to help those who want to grep in *.h files to let them view the
> full function signature.  It probably is OK to tell them to use
> "git grep -A$n" instead, though.

My goal with this patch was not to set a new policy but rather just to
make the code conform a little better to the existing policy as
described in CodingGuidelines.  *If* it is preferred that header files
list all parameters on a single line, then by all means adjust the
CodingGuidelines and I will just as happily make header files conform to
*that* policy when I touch them :-)

(That being said, my personal preference is to apply the 80-character
limit for header files too.)

Michael

-- 
Michael Haggerty
[email-masked]
http://softwareswirl.blogspot.com/